;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: CAN.inc
;;   Version: 3.2, Updated on 2011/6/28 at 6:9:4
;;
;;  DESCRIPTION: Assembler declarations for the 8-bit Delta-Sigma A/D Converter
;;               User Module with a 1st-order modulator.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2011. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for CAN API's.
;--------------------------------------------------

CAN_INT_REG:                               equ  0e1h
CAN_INT_MASK:                              equ  01h     ; Interrupt mask

CAN_OFF:                       equ 00h
CAN_LOWPOWER:                  equ 01h
CAN_MEDPOWER:                  equ 02h
CAN_HIGHPOWER:                 equ 03h

CAN_POLL_ENABLE:               equ 1
CAN_DATA_READY_BIT:            equ 10h


;--------------------------------------------------
; Register Address Constants for CAN
;--------------------------------------------------

CAN_TimerDR0:                  equ 0x20    ; Period reg
CAN_TimerDR1:                  equ 0x21    ; Down count reg
CAN_TimerDR2:                  equ 0x22    ; Compare reg
CAN_TimerCR0:                  equ 0x23    ; Control reg
CAN_TimerFN:                   equ 0x20    ; Function reg
CAN_TimerSL:                   equ 0x21    ; Input  select reg
CAN_TimerOS:                   equ 0x22    ; Output select reg

CAN_AtoDcr0:                   equ 0x80    ; SC Block Control Reg 0
CAN_AtoDcr1:                   equ 0x81    ; SC Block Control Reg 1
CAN_AtoDcr2:                   equ 0x82    ; SC Block Control Reg 2
CAN_AtoDcr3:                   equ 0x83    ; SC Block Control Reg 3


; end of file CAN.inc
